/* *****************************************************************
 *
 *  $Id: f0m_rw_to_file.h,v 1.2 2002/08/13 15:53:11 jml Exp $
 *
 *  Copyright (c) 2000 by Dep.Informatica of the FCT/UNL
 *  Time-stamp: <02/08/13 16:51:54 jml>
 *
 *  Joao Lourenco <Joao.Lourenco@di.fct.unl.pt>
 *
 *  Parallel and Distributed Processing Group
 *  Departamento de Informatica
 *  Faculdade de Ciencias e Tecnologia
 *  Universidade Nova de Lisboa
 *
 * -----------------------------------------------------------------
 *
 *  Description:
 *
 * -----------------------------------------------------------------
 */
#ifndef __F0M_RW_TO_FILE_H
#define __F0M_RW_TO_FILE_H

#include "glob.h"
#include "f0s_tkout.h"
#include "f0m_tkin.h"

typedef void *packed_t;


/* -----------------------------------------------------------------
 * Function:    int status = f0m_write_tkin (int fd, const tkin_t *tk)
 *
 * Description: Write a 'tkin_t' strucuture to a file in a machine
 *				independent way
 *
 * Returns:     The same as 'write()'
 */
PUBLIC int f0m_write_tkin (int fd, const tkin_t *tk);


/* -----------------------------------------------------------------
 * Function:    int status = f0m_write_tkout (int fd, const tkout_t *tk)
 *
 * Description: Write a 'tkout_t' strucuture to a file in a machine
 *				independent way
 *
 * Returns:     The same as 'write()'
 */
PUBLIC int f0m_write_tkout (int fd, const tkout_t *tk);


/* -----------------------------------------------------------------
 * Function:    tkin_t *tk = f0m_read_tkin (int fd)
 *
 * Description: Read a 'tkin_t' strucuture from a file
 *
 * Returns:     The same as 'read()'
 */
PUBLIC tkin_t *f0m_read_tkin (int fd);


/* -----------------------------------------------------------------
 * Function:    tkout_t *tk = f0m_read_tkout (int fd)
 *
 * Description: Read a 'tkout_t' strucuture from a file
 *
 * Returns:     The same as 'read()'
 */
PUBLIC tkout_t *f0m_read_tkout (int fd);



#endif /* __F0M_RW_TO_FILE_H */
