/* *****************************************************************
 *
 *  $Id: f0s_cmd_codes.h,v 1.1.1.1 2002/04/28 22:06:50 jml Exp $
 *
 *  Copyright (c) 1999 by Dep.Informatica of the FCT/UNL
 *  Time-stamp: <00/11/16 20:21:26 jml>
 *
 *  Joao Lourenco <Joao.Lourenco@di.fct.unl.pt>
 *
 *  Parallel and Distributed Processing Group
 *  Departamento de Informatica
 *  Faculdade de Ciencias e Tecnologia
 *  Universidade Nova de Lisboa
 *
 * -----------------------------------------------------------------
 *
 *  Description: Define the codes for each debugging command provided
 *				 by the debugging library (plus some extras)
 *
 * -----------------------------------------------------------------
 */
#ifndef __F0_CMD_CODES_H
#define __F0_CMD_CODES_H

#define CMD_CODE_E_SIZE sizeof(cmd_code_e)

typedef enum cmd_code_e {
        CMD_EOLIST = -1,
	CMD_UNUSED = 0,
	CMD_NO_CMD = 0,
	CMD_TERMINATE,
	CMD_TIDS,
	CMD_KILL,
	CMD_ATTACH,
	CMD_DETACH,
	CMD_SYMBOL_FILE,
	CMD_FILE,
	CMD_RUN,
	CMD_STEP,
	CMD_NEXT,
	CMD_CONTINUE,
	CMD_FINISH,
	CMD_SIGNAL,
	CMD_BREAK,
	CMD_DELETE,
	CMD_SET_VARIABLE,
	CMD_EVALUATE,
	CMD_INFO_LOCALS,
	CMD_INFO_ARGS,
	CMD_DISPLAY,
	CMD_UNDISPLAY,
	CMD_CALL,
	CMD_LIST,
	CMD_TTY,
	CMD_INFO_LINE,
	CMD_INFO_PROGRAM,
	CMD_INFO_STACK,
	CMD_UP,
	CMD_DOWN,
	CMD_FRAME,
	CMD_INFO_BREAK,
	CMD_INFO_DISPLAY,
	CMD_THREAD,
	CMD_INFO_THREADS,
	CMD_SENDTO,
	CMD_NEW_THREAD,				/* Used implicitly */
} cmd_code_t;


#endif /* __F0_CMD_CODES_H */
