/* *****************************************************************
 *
 *  $Id: f0s_parse.h,v 1.1.1.1 2002/04/28 22:06:52 jml Exp $
 *
 *  Copyright (c) 1999 by Dep.Informatica of the FCT/UNL
 *  Time-stamp: <99/07/12 23:22:48 jml>
 *
 *  Joao Lourenco <Joao.Lourenco@di.fct.unl.pt>
 *
 *  Parallel and Distributed Processing Group
 *  Departamento de Informatica
 *  Faculdade de Ciencias e Tecnologia
 *  Universidade Nova de Lisboa
 *
 * -----------------------------------------------------------------
 *
 *  Description:
 *
 * -----------------------------------------------------------------
 */
#ifndef __F0_PARSE_H
#define __F0_PARSE_H


#include "f0s_tkout.h"
#include "f0s_regex.h"
#include "f0s_cmd_codes.h"

/* -----------------------------------------------------------------
 * Function:    int status = f0s_init_parsing (IN PatRec *patterns[])
 *
 * Description: Initialize the data structures for parsing the
 *				debugger's output.
 *
 * Returns:     The status of the operation
 */
int f0s_init_parsing (PatRec *patterns[]);


/* -----------------------------------------------------------------
 * Function:    tkout_t *rep = f0s_parse_output (int tid,
 *												 cmd_code_t cmdcode,
 *											     const char *out)
 *
 * Description: Parse the string 'out' assuming its the output of
 *				command 'cmd_code'
 *
 * Returns:     The 'Output Token'.
 */
tkout_t *f0s_parse_output (int tid, cmd_code_t cmdcode, const char *out);



#endif /* __F0_PARSE_H */
