/* *****************************************************************
 *
 *  $Id: fx_lib.h,v 1.3 2002/08/20 11:30:46 rja Exp $
 *
 *  Copyright (c) 1999 by Dep.Informatica of the FCT/UNL
 *  Time-stamp: <02/08/20 11:55:52 rja>
 *
 *  Joao Lourenco <Joao.Lourenco@di.fct.unl.pt>
 *
 *  Parallel and Distributed Processing Group
 *  Departamento de Informatica
 *  Faculdade de Ciencias e Tecnologia
 *  Universidade Nova de Lisboa
 *
 * -----------------------------------------------------------------
 *
 *  Description:
 *
 * -----------------------------------------------------------------
 */
#ifndef __FX_LIB_H
#define __FX_LIB_H

#if f2m
/* =================================================================
   f2m
   =================================================================
*/
#include "f2m_lib.h"
#define fx_initialize(...) \
				f2m_initialize (__VA_ARGS__)
#define fx_terminate(...)	\
				f2m_terminate(__VA_ARGS__)
#define fx_tids(...) \
				f2m_tids (__VA_ARGS__)
#define fx_clients(...) \
				f2m_clients (__VA_ARGS__)
#define fx_add_debugger(...) \
				f2m_add_debugger (__VA_ARGS__)
#define fx_kill(...) \
				f2m_kill (__VA_ARGS__)
#define fx_attach(...) \
				f2m_attach (__VA_ARGS__)
#define fx_detach(...) \
				f2m_detach (__VA_ARGS__)
#define fx_symbol_file(...) \
				f2m_symbol_file (__VA_ARGS__)
#define fx_file(...) \
				f2m_file (__VA_ARGS__)
#define fx_run(...) \
				f2m_run (__VA_ARGS__)
#define fx_step(...) \
				f2m_step (__VA_ARGS__)
#define fx_next(...) \
				f2m_next (__VA_ARGS__)
#define fx_continue(...) \
				f2m_continue (__VA_ARGS__)
#define fx_signal(...) \
				f2m_signal (__VA_ARGS__)
#define fx_finish(...) \
				f2m_finish (__VA_ARGS__)
#define fx_break(...) \
				f2m_break (__VA_ARGS__)
#define fx_delete(...) \
				f2m_delete (__VA_ARGS__)
#define fx_set_variable(...) \
				f2m_set_variable (__VA_ARGS__)
#define fx_call(...) \
				f2m_call (__VA_ARGS__)
#define fx_evaluate(...) \
				f2m_evaluate (__VA_ARGS__)
#define fx_info_locals(...) \
				f2m_info_locals (__VA_ARGS__)
#define fx_info_args(...) \
				f2m_info_args (__VA_ARGS__)
#define fx_display(...) \
				f2m_display (__VA_ARGS__)
#define fx_undisplay(...) \
				f2m_undisplay (__VA_ARGS__)
#define fx_list(...) \
				f2m_list (__VA_ARGS__)
#define fx_info_line(...) \
				f2m_info_line (__VA_ARGS__)
#define fx_info_program(...) \
				f2m_info_program (__VA_ARGS__)
#define fx_info_stack(...) \
				f2m_info_stack (__VA_ARGS__)
#define fx_up(...) \
				f2m_up (__VA_ARGS__)
#define fx_down(...) \
				f2m_down (__VA_ARGS__)
#define fx_frame(...) \
				f2m_frame (__VA_ARGS__)
#define fx_info_break(...) \
				f2m_info_break (__VA_ARGS__)
#define fx_info_display(...) \
				f2m_info_display (__VA_ARGS__)
#define fx_thread(...) \
				f2m_thread (__VA_ARGS__)
#define fx_info_threads(...) \
				f2m_info_threads (__VA_ARGS__)
#define fx_tty(...) \
				f2m_tty (__VA_ARGS__)
#define fx_sendto(...) \
				f2m_sendto (__VA_ARGS__)
#define fx_clients(...) \
				f2m_clients (__VA_ARGS__)

#elif f1m
/* =================================================================
   f1m
   =================================================================
*/
#include "f1m_lib.h"
#define fx_initialize(...) \
				f1m_initialize (__VA_ARGS__)
#define fx_terminate()	\
				f1m_terminate()
#define fx_tids(...) \
				f1m_tids (__VA_ARGS__)
#define fx_add_debugger(...) \
				f1m_add_debugger (__VA_ARGS__)
#define fx_kill(...) \
				f1m_kill (__VA_ARGS__)
#define fx_attach(...) \
				f1m_attach (__VA_ARGS__)
#define fx_detach(...) \
				f1m_detach (__VA_ARGS__)
#define fx_symbol_file(...) \
				f1m_symbol_file (__VA_ARGS__)
#define fx_file(...) \
				f1m_file (__VA_ARGS__)
#define fx_run(...) \
				f1m_run (__VA_ARGS__)
#define fx_step(...) \
				f1m_step (__VA_ARGS__)
#define fx_next(...) \
				f1m_next (__VA_ARGS__)
#define fx_continue(...) \
				f1m_continue (__VA_ARGS__)
#define fx_signal(...) \
				f1m_signal (__VA_ARGS__)
#define fx_finish(...) \
				f1m_finish (__VA_ARGS__)
#define fx_break(...) \
				f1m_break (__VA_ARGS__)
#define fx_delete(...) \
				f1m_delete (__VA_ARGS__)
#define fx_set_variable(...) \
				f1m_set_variable (__VA_ARGS__)
#define fx_call(...) \
				f1m_call (__VA_ARGS__)
#define fx_evaluate(...) \
				f1m_evaluate (__VA_ARGS__)
#define fx_info_locals(...) \
				f1m_info_locals (__VA_ARGS__)
#define fx_info_args(...) \
				f1m_info_args (__VA_ARGS__)
#define fx_display(...) \
				f1m_display (__VA_ARGS__)
#define fx_undisplay(...) \
				f1m_undisplay (__VA_ARGS__)
#define fx_list(...) \
				f1m_list (__VA_ARGS__)
#define fx_info_line(...) \
				f1m_info_line (__VA_ARGS__)
#define fx_info_program(...) \
				f1m_info_program (__VA_ARGS__)
#define fx_info_stack(...) \
				f1m_info_stack (__VA_ARGS__)
#define fx_up(...) \
				f1m_up (__VA_ARGS__)
#define fx_down(...) \
				f1m_down (__VA_ARGS__)
#define fx_frame(...) \
				f1m_frame (__VA_ARGS__)
#define fx_info_break(...) \
				f1m_info_break (__VA_ARGS__)
#define fx_info_display(...) \
				f1m_info_display (__VA_ARGS__)
#define fx_thread(...) \
				f1m_thread (__VA_ARGS__)
#define fx_info_threads(...) \
				f1m_info_threads (__VA_ARGS__)
#define fx_tty(...) \
				f1m_tty (__VA_ARGS__)
#define fx_sendto(...) \
				f1m_sendto (__VA_ARGS__)

#elif f0m
/* =================================================================
   f0m
   =================================================================
*/
#include "f0m_lib.h"
#define fx_initialize(...) \
				f0m_initialize (__VA_ARGS__)
#define fx_terminate()	\
				f0m_terminate()
#define fx_tids(...) \
				f0m_tids (__VA_ARGS__)
#define fx_add_debugger(...) \
				f0m_add_debugger (__VA_ARGS__)
#define fx_kill(...) \
				f0m_kill (__VA_ARGS__)
#define fx_attach(...) \
				f0m_attach (__VA_ARGS__)
#define fx_detach(...) \
				f0m_detach (__VA_ARGS__)
#define fx_symbol_file(...) \
				f0m_symbol_file (__VA_ARGS__)
#define fx_file(...) \
				f0m_file (__VA_ARGS__)
#define fx_run(...) \
				f0m_run (__VA_ARGS__)
#define fx_step(...) \
				f0m_step (__VA_ARGS__)
#define fx_next(...) \
				f0m_next (__VA_ARGS__)
#define fx_continue(...) \
				f0m_continue (__VA_ARGS__)
#define fx_signal(...) \
				f0m_signal (__VA_ARGS__)
#define fx_finish(...) \
				f0m_finish (__VA_ARGS__)
#define fx_break(...) \
				f0m_break (__VA_ARGS__)
#define fx_delete(...) \
				f0m_delete (__VA_ARGS__)
#define fx_set_variable(...) \
				f0m_set_variable (__VA_ARGS__)
#define fx_call(...) \
				f0m_call (__VA_ARGS__)
#define fx_evaluate(...) \
				f0m_evaluate (__VA_ARGS__)
#define fx_info_locals(...) \
				f0m_info_locals (__VA_ARGS__)
#define fx_info_args(...) \
				f0m_info_args (__VA_ARGS__)
#define fx_display(...) \
				f0m_display (__VA_ARGS__)
#define fx_undisplay(...) \
				f0m_undisplay (__VA_ARGS__)
#define fx_list(...) \
				f0m_list (__VA_ARGS__)
#define fx_info_line(...) \
				f0m_info_line (__VA_ARGS__)
#define fx_info_program(...) \
				f0m_info_program (__VA_ARGS__)
#define fx_info_stack(...) \
				f0m_info_stack (__VA_ARGS__)
#define fx_up(...) \
				f0m_up (__VA_ARGS__)
#define fx_down(...) \
				f0m_down (__VA_ARGS__)
#define fx_frame(...) \
				f0m_frame (__VA_ARGS__)
#define fx_info_break(...) \
				f0m_info_break (__VA_ARGS__)
#define fx_info_display(...) \
				f0m_info_display (__VA_ARGS__)
#define fx_thread(...) \
				f0m_thread (__VA_ARGS__)
#define fx_info_threads(...) \
				f0m_info_threads (__VA_ARGS__)
#define fx_tty(...) \
				f0m_tty (__VA_ARGS__)
#define fx_sendto(...) \
				f0m_sendto (__VA_ARGS__)

#elif f0s
/* =================================================================
   f0s
   =================================================================
*/
#include "f0s_lib.h"
#define fx_initialize(...) \
				f0s_initialize (__VA_ARGS__)
#define fx_terminate()	\
				f0s_terminate()
#define fx_tids(...) \
				f0s_tids (__VA_ARGS__)
#define fx_add_debugger(...) \
				f0s_add_debugger (__VA_ARGS__)
#define fx_kill(...) \
				f0s_kill (__VA_ARGS__)
#define fx_attach(...) \
				f0s_attach (__VA_ARGS__)
#define fx_detach(...) \
				f0s_detach (__VA_ARGS__)
#define fx_symbol_file(...) \
				f0s_symbol_file (__VA_ARGS__)
#define fx_file(...) \
				f0s_file (__VA_ARGS__)
#define fx_run(...) \
				f0s_run (__VA_ARGS__)
#define fx_step(...) \
				f0s_step (__VA_ARGS__)
#define fx_next(...) \
				f0s_next (__VA_ARGS__)
#define fx_continue(...) \
				f0s_continue (__VA_ARGS__)
#define fx_signal(...) \
				f0s_signal (__VA_ARGS__)
#define fx_finish(...) \
				f0s_finish (__VA_ARGS__)
#define fx_break(...) \
				f0s_break (__VA_ARGS__)
#define fx_delete(...) \
				f0s_delete (__VA_ARGS__)
#define fx_set_variable(...) \
				f0s_set_variable (__VA_ARGS__)
#define fx_call(...) \
				f0s_call (__VA_ARGS__)
#define fx_evaluate(...) \
				f0s_evaluate (__VA_ARGS__)
#define fx_info_locals(...) \
				f0s_info_locals (__VA_ARGS__)
#define fx_info_args(...) \
				f0s_info_args (__VA_ARGS__)
#define fx_display(...) \
				f0s_display (__VA_ARGS__)
#define fx_undisplay(...) \
				f0s_undisplay (__VA_ARGS__)
#define fx_list(...) \
				f0s_list (__VA_ARGS__)
#define fx_info_line(...) \
				f0s_info_line (__VA_ARGS__)
#define fx_info_program(...) \
				f0s_info_program (__VA_ARGS__)
#define fx_info_stack(...) \
				f0s_info_stack (__VA_ARGS__)
#define fx_up(...) \
				f0s_up (__VA_ARGS__)
#define fx_down(...) \
				f0s_down (__VA_ARGS__)
#define fx_frame(...) \
				f0s_frame (__VA_ARGS__)
#define fx_info_break(...) \
				f0s_info_break (__VA_ARGS__)
#define fx_info_display(...) \
				f0s_info_display (__VA_ARGS__)
#define fx_thread(...) \
				f0s_thread (__VA_ARGS__)
#define fx_info_threads(...) \
				f0s_info_threads (__VA_ARGS__)
#define fx_tty(...) \
				f0s_tty (__VA_ARGS__)
#define fx_sendto(...) \
				f0s_sendto (__VA_ARGS__)

#else
/* =================================================================
   ERROR
   =================================================================
*/
#error Please define one (and only one) of: f0s, f0m, f1m, f2m!
#endif


#endif /* __FX_LIB_H */
