/* ******************************************************************
 *
 *  Fiddle_teste.java
 *
 *  Copyright (c) 2001 by Dep.Informatica of the FCT/UNL
 *  Time-stamp: <01/09/13 17:29:32 rja>
 *
 *  Ricardo Anastacio [jml] <rja@asc.di.fct.unl.pt>
 *
 *  Parallel and Distributed Processing Group
 *  Departamento de Informatica
 *  Faculdade de Ciencias e Tecnologia
 *  Universidade Nova de Lisboa
 *
 * -----------------------------------------------------------------
 *
 *  description: a simple java api to test my Fiddle_j implementation!
 *
 * -----------------------------------------------------------------
 */

import java.io.*;

public class Fiddle_teste implements Chain_walker {
	 Fiddle_j f;
	 
	 public Fiddle_teste() {
		  super();
		  try {
				f = new Fiddle_j();
		  } catch (FiddleNotInitializedException e) {
				System.err.println("Fiddle didn't initialized.\nFiddle_j constructor returned the following message in a FiddleNotInitializedException:");
				System.err.println(e.getMessage());
				System.err.println("\nAborting!");
				System.exit(-1);
		  }
	 }
	 
	 /* No existe, de momento, necessidade para estas funoes... por isso ficam em vazio! */
	 public int walker_cmp(Object data, Object what, Object args) { return 0; }
	 public Object walker_collect(Object data, Object args) { return null; }
	 


	 /* The function to which to apply to each node in the chain_j of the oob object.  */
	 public ChainWalkerData walker(Object data_arg, Object args) {
		  Data_j data = (Data_j) data_arg;
		  ChainWalkerData retObj;

		  System.out.println("Tkout_teste:Parseing OoB:walker:data.str = |"+data.str+"|");

		  switch(data.code.value) {
		  case Code_j.O_DISPLAY:
				Display_j objD = (Display_j) data.data.first();
				System.out.println("Display apanhado:\ndispid    :"+objD.dispid
+"\nexpression:"+objD.expression
+"\nvalue     :"+objD.value);
				retObj = new ChainWalkerData(0, objD);
				break;
		  case Code_j.O_BPHIT:
				Bphit_j objB = (Bphit_j) data.data.first();
				System.out.println("Breakpoint apanhado:\nbpid    :"+objB.bpid
+"\nfunction:"+objB.function
+"\nargs    :"+objB.args
+"\nfile    :"+objB.file
+"\nline    :"+objB.line);
				retObj = new ChainWalkerData(0, objB);
				break;
		  case Code_j.O_SIGNAL:
				Signal_j objS = (Signal_j) data.data.first();
				System.out.println("Sinal apanhado:\nname: "+objS.name);
				retObj = new ChainWalkerData(0, objS);
				break;
		  case Code_j.O_NEW_THREAD:
				NewThread_j objN = (NewThread_j) data.data.first();
				System.out.println("NewThread apanhado:\nid:"+objN.id);
				retObj = new ChainWalkerData(0, objN);
				break;
		  case Code_j.O_SWITCH_TO_THREAD:
				Thread_j objT = (Thread_j) data.data.first();
				System.out.println("Thread apanhado:\npid:"+objT.pid);
				retObj = new ChainWalkerData(0, objT);
				break;
		  default:
				System.out.println("Cdigo desconhecido: "+data.code.value);
				retObj = new ChainWalkerData();
		  }

		  return retObj;
	 }



public static void main(String args[]) {
	 byte[] b = new byte[255];
	 Fiddle_teste teste = new Fiddle_teste();
	 Tkout_j tk;
	 int l, tid;

	 try {
// inicializado o fiddle, ler o nome do executvel
		  System.out.println("Fixe, passou a criao... Qual  o nome do ficheiro?");
		  l = System.in.read(b);
		  System.out.println("Li "+l+" bytes");
		  System.out.println("|" + (new String(b, 0, l-1)) + "|");

// Testando o file
		  tk = teste.f.file("localhost", new String(b, 0, l-1));
		  System.out.println("J passou o file!");
//		  System.out.println("Tkout:\n" + tk);
		  tid = tk.tid;
		  tk = null; System.gc();

// Testando break com argumento na linha 10
		  System.out.println("Vou agora inserir um break na linha nmero 10 do processo corrente");
		  tk = teste.f.setBreakpoint(tid, null, 10, null);
		  System.out.println("Passou o setBreakpoint. Tkout:\n" + tk);
		  tk = null; System.gc();

// Testando o run
		  System.out.println("Vou agora dizer ao bonequinho para comear a andar...");
		  tk = teste.f.run(tid, null);
		  System.out.println("Passou o run e j sau dele. Tkout:\n" + tk);
		  System.out.println("\nFazer agora o walk sobre o Out of Band:");
		  tk.OoB.walk(teste, null);
		  tk = null; System.gc();

// Testando o continue
		  System.out.println("Parou no break... espero. Vou ento dizer a ele para continuar!");
		  tk = teste.f.continueExecution(tid);
		  System.out.println("Passou o continue. Tkout:\n" + tk);
		  tk = null; System.gc();

	 } catch (IOException e) {
		  System.err.println("Oh no, no consegui ler nenhuns bytes. Isto entrou numa excepo com a mensagem:\n"+e.getMessage());
	 } catch (TkoutException tke) {
		  System.err.println("Erro na criao do TkoutException:" + tke.getMessage() );
		  try {
		  System.err.println("                   status = " + tke.status.value + ", "+tke.status.getMessage());
		  } catch (UnknownCodeException uce) {}
	 } catch (NullPointerException npe) {
		  System.err.println("Erro com um NullPointerException:" + npe.getMessage() );
	 } catch (Exception e) {
		  System.err.println("Erro com uma Exception:"+e.getMessage());
	 }

}

}


