/* ******************************************************************
 *
 *  DebuggerException.java
 *
 *  Copyright (c) 2002 by Dep.Informatica of the FCT/UNL
 *  Time-stamp: <02/08/23 15:43:51 rja>
 *
 *  Ricardo Anastacio [jml] <rja@asc.di.fct.unl.pt>
 *
 *  Parallel and Distributed Processing Group
 *  Departamento de Informatica
 *  Faculdade de Ciencias e Tecnologia
 *  Universidade Nova de Lisboa
 *
 * -----------------------------------------------------------------
 *
 *  Description:
 *
 *    If the tkout_t C structure of the native methods call returns
 *  with anything in the err field this exception is thrown out from
 *  the native method with the erroneous string and the error code.
 * -----------------------------------------------------------------
 */

package unl.fct.di.fiddle_j;


public class DebuggerException extends Exception {

	 public Code_j code;

	 public DebuggerException() {
		  super();
		  code = new Code_j(Code_j.FIDDLE_OK);
	 }

	 public DebuggerException(String msg) {
		  super(msg);
		  code = new Code_j(Code_j.FIDDLE_OK);
	 }

	 private DebuggerException(Code_j c) {
		  super();
		  code = new Code_j(c);
	 }

	 public DebuggerException(String msg, Code_j c) {
		  super(msg);
		  code = new Code_j(c);
	 }

}


