/* ******************************************************************
 *
 *  $Id: Infobreak_j.java,v 1.1 2002/08/31 15:23:00 rja Exp $
 *
 *  Copyright (c) 2000 by Dep.Informatica of the FCT/UNL
 *  Time-stamp: <02/08/22 14:46:45 rja>
 *
 *  Ricardo Anastacio [jml] <rja@asc.di.fct.unl.pt>
 *
 *  Parallel and Distributed Processing Group
 *  Departamento de Informatica
 *  Faculdade de Ciencias e Tecnologia
 *  Universidade Nova de Lisboa
 *
 * -----------------------------------------------------------------
 *
 *  Description:
 *
 * -----------------------------------------------------------------
 */

package unl.fct.di.fiddle_j;

public class Infobreak_j {

	public int bpid;
	public long address;
	public int line;
	public int hit_counter;
	public final String function;
	public final String file;
	public final String condition;  // Ignore this member. For future versions.
	public final String type;       // Ignore this member. For future versions.
	public final String disp;       // Ignore this member. For future versions.
	public boolean enabled;         // Ignore this member. For future versions.
	public boolean ign_counter;         // Ignore this member. For future versions.

	public Infobreak_j(int bpid, long address, int line, int hit_counter, String function, String file) {
		this.bpid        = bpid;
		this.address     = address;
		this.line        = line;
		this.hit_counter = hit_counter;
		this.function    = function;
		this.file        = file;

		this.condition   = "";
		this.type        = "";
		this.disp        = "";
		this.enabled     = false;
		this.ign_counter = false;
	}

	public Infobreak_j(int bpid, long address, int line, int hit_counter, String function, String file, String condition, String type, String disp, boolean enabled, boolean ign_counter) {
		this.bpid        = bpid;
		this.address     = address;
		this.line        = line;
		this.hit_counter = hit_counter;
		this.function    = function;
		this.file        = file;

		this.condition = condition;
		this.type = type;
		this.disp = disp;
		this.enabled = enabled;
		this.ign_counter = ign_counter;
	}

	 public String toString() {
		  StringBuffer aux = new StringBuffer();
		  aux.append("Infobreak_j object contents\n\t\breakpoint ID:").append(bpid);
		  aux.append("\n\t\taddress:0x").append(Long.toHexString(address));
		  aux.append("\n\t\tline:").append(line);
		  aux.append("\n\t\thit_counter:").append(hit_counter);
		  aux.append("\n\t\tfunction:").append(function);
		  aux.append("\n\t\tfile:").append(file);
		  aux.append("\n\t\tcondition:").append(condition);
		  aux.append("\n\t\ttype:").append(type);
		  aux.append("\n\t\tdisp:").append(disp);
		  aux.append("\n\t\tenabled:").append(enabled);
		  aux.append("\n\t\tignore counter:").append(ign_counter);

		  return new String(aux);
	 }

}


