/* ******************************************************************
 *
 *  ServiceNotAvailableException.java
 *
 *  Copyright (c) 2002 by Dep.Informatica of the FCT/UNL
 *  Time-stamp: <02/08/22 14:41:34 rja>
 *
 *  Ricardo Anastacio [jml] <rja@asc.di.fct.unl.pt>
 *
 *  Parallel and Distributed Processing Group
 *  Departamento de Informatica
 *  Faculdade de Ciencias e Tecnologia
 *  Universidade Nova de Lisboa
 *
 * -----------------------------------------------------------------
 *
 *  Description:
 *
 *    This exception is thrown everytime a method such as clients is
 *  called but the Fiddle_j native lib wasn't compiled with the
 *  supporting layer.
 * -----------------------------------------------------------------
 */

package unl.fct.di.fiddle_j;


public class ServiceNotAvailableException extends Exception {

	 public ServiceNotAvailableException() {
		  super("Fiddle_j: native lib reported service unavailable");
	 }

	 public ServiceNotAvailableException(String msg) {
		  super(msg);
	 }
}


