/* *****************************************************************
 *
 *  $Id: test_output.h,v 1.1.1.1 2002/04/28 22:06:57 jml Exp $
 *
 *  Copyright (c) 1999 by Dep.Informatica of the FCT/UNL
 *  Time-stamp: <00/10/26 18:43:46 jml>
 *
 *  Joao Lourenco <Joao.Lourenco@di.fct.unl.pt>
 *
 *  Parallel and Distributed Processing Group
 *  Departamento de Informatica
 *  Faculdade de Ciencias e Tecnologia
 *  Universidade Nova de Lisboa
 *
 * -----------------------------------------------------------------
 *
 *  Description:
 *
 * -----------------------------------------------------------------
 */
#ifndef __TEST_OUTPUT_H
#define __TEST_OUTPUT_H

#define fFIDDLE_LAYER 1

/* =================================================================
 *		Processing REPLY
 * ================================================================= */


/* -----------------------------------------------------------------
 * Function:    void test_reply (IN const data_t *rep)
 *
 * Description: Intepret the reply field and print the relevant data
 *
 * Returns:     Nothing
 */
void test_reply (const data_t *rep);


/* =================================================================
 *		Processing ALWAYS
 * ================================================================= */

/* -----------------------------------------------------------------
 * Function:    void test_oobays (IN const oobdata_t *oob[])
 *
 * Description: Intepret the oobays field and print the relevant data
 *
 * Returns:     Nothing
 */
void test_oob (chain_t *oob);


/* =================================================================
 *		Processing POSITION
 * ================================================================= */

/* -----------------------------------------------------------------
 * Function:    void test_position (IN const data_t *pos)
 *
 * Description: Print the position in the source file, if available
 *
 * Returns:     Nothing
 */
void test_position (const data_t *pos);



/* =================================================================
 *		Processing ERROR
 * ================================================================= */

/* -----------------------------------------------------------------
 * Function:    void test_error (IN const data_t *err)
 *
 * Description: Print the error code and messge
 *
 * Returns:     Nothing
 */
void test_error (const data_t *err);

/* -----------------------------------------------------------------
 * Function:    void was_error (IN int status, IN const char *usermsg)
 *
 * Description: Print the error code and messge
 *
 * Returns:     Nothing
 */
void was_error (int status, const char *usermsg);



#endif /* __TEST_OUTPUT_H */
