/* *****************************************************************
 *
 *  $Id: msg.c,v 1.1.1.1 2002/04/28 22:06:57 jml Exp $
 *
 *  Copywright (c) 1999 by Joao Lourenco <Joao.Lourenco@di.fct.unl.pt>
 *  Time-stamp: <00/12/05 14:22:31 jml>
 *
 *  Universidade Nova de Lisboa
 *  Faculdade de Ciencias e Tecnologia
 *  Departamento de Informatica
 *  Parallel and Distributed Processing Group
 *
 * -----------------------------------------------------------------
 *
 *  Description:
 *
 * -----------------------------------------------------------------
 */

#include <stdio.h>
#include <stdarg.h>
#include <unistd.h>
#include <stdlib.h>
#include "msg.h"
#include "config.h"

/* #################################################################
 *		#DEFINES, TYPES and GLOBAL (PRIVATE) VARIABLES
 * ################################################################# */



/* #################################################################
 *		PRIVATE functions
 * ################################################################# */


/* #################################################################
 *		PUBLIC functions
 * ################################################################# */

/* -----------------------------------------------------------------
 * Function:    int msg_pid_write (IN const char *fmt, IN ...) 
 *
 * Description: Execute a 'fprintf()', but write process PID before
 *
 * Returns:     The same as 'fprintf()'
 */
int msg_pid_write (const char *fmt, ...) 
{
	int val;
	
	va_list ap;
	fprintf (stderr, "[%d]: ", getpid());
	va_start (ap, fmt);
	val = vfprintf (stderr, fmt, ap);
	va_end (ap);
	return val;
}


/* -----------------------------------------------------------------
 * Function:    int msg_pid_fatal (IN const char *fmt, IN ...) 
 *
 * Description: Execute a 'fprintf()', but write process PID before,
 *						and than terminate process.
 *
 * Returns:     [] (never returns)
 */
int msg_pid_fatal (const char *fmt, ...) 
{
	va_list ap;
	fprintf (stderr, "[%d]: ", getpid());
	va_start (ap, fmt);
	vfprintf (stderr, fmt, ap);
	va_end (ap);
	exit (1);
}

