/* *****************************************************************
 *
 *  $Id: msg.h,v 1.1.1.1 2002/04/28 22:06:57 jml Exp $
 *
 *  Copywright (c) 1999 by Joao Lourenco <Joao.Lourenco@di.fct.unl.pt>
 *  Time-stamp: <99/05/30 00:07:09 jml>
 *
 *  Universidade Nova de Lisboa
 *  Faculdade de Ciencias e Tecnologia
 *  Departamento de Informatica
 *  Parallel and Distributed Processing Group
 *
 * -----------------------------------------------------------------
 *
 *  Description:
 *
 * -----------------------------------------------------------------
 */
#ifndef __MSG_H
#define __MSG_H


/* -----------------------------------------------------------------
 * Function:    int msg_pid_write (IN const char *fmt, IN ...) 
 *
 * Description: Execute a 'printf()', but write process PID before
 *
 * Returns:     The same as 'printf()'
 */
int msg_pid_write (const char *fmt, ...) ;


/* -----------------------------------------------------------------
 * Function:    int msg_pid_fatal (IN const char *fmt, IN ...) 
 *
 * Description: Execute a 'printf()', but write process PID before,
 *						and than terminate process.
 *
 * Returns:     [] (never returns)
 */
int msg_pid_fatal (const char *fmt, ...) ;


#endif /* __MSG_H */
